import { getParagraphList, getShortBookInfo, getShortBookInfoAppListOfPage } from '@src/server/book/short'
import { getShortBanners, getShortHotCategory, getShortHotBooks } from '@src/server/index/index'
/**用于长短篇小说区别,使用不同的接口*/
function useApi(store) {
    //判断是长篇
    let isLong = store?.appInfo?.appCategory === 1
    return {
        /**获取小说列表*/
        getBookPageList: isLong ? getShortBookInfoAppListOfPage : getShortBookInfoAppListOfPage,
        /**获取小说内容*/
        getBookContent: isLong ? getParagraphList : getParagraphList,
        /**获取小说详情用于分享进入*/
        getBookInfo: isLong ? getShortBookInfo : getShortBookInfo,
        /**首页组件接口*/
        indexComponents: {
            "banners": isLong ? getShortBanners : getShortBanners,
            "hot_books": isLong ? getShortHotBooks : getShortHotBooks,//热门标签
            "hot_category": isLong ? getShortHotCategory : getShortHotCategory,//热门书籍
        }
    }

}
export default useApi
