import { Swiper, SwiperItem, Image, Navigator } from "@tarojs/components";
import React from "react";
import './index.less'
/**轮播图 */
interface Item {
    picUrl: string,
    bookId: string
}
interface BannerBoxProps {
    data?: Item[]
}
function BannerBox(props: BannerBoxProps) {
    const { data } = props
    return <Swiper
        className='banner_box'
        indicatorColor='#999'
        indicatorActiveColor='#333'
        vertical={false}
        circular
        indicatorDots
        autoplay
    >
        {
            data?.map((item: Item, index: number) => {
                let {bookId,picUrl} = item
                return <SwiperItem key={index}>
                    <Navigator url={'/pages/book/bookDetails/index?book_id='+bookId} hoverClass="none">
                        <Image src={picUrl} className='img' />
                    </Navigator>
                </SwiperItem>
            })
        }
    </Swiper>
}

export default React.memo(BannerBox)