/**分类书籍的box容器 横大*/

import { Text, View, Image, Navigator } from "@tarojs/components";
import React from 'react'
import './index.less'
export interface BookboxRowMiddleProps {
    book_id?: number,//书籍ID
    book_name?: string,//名称
    penname?: string,//作者
    intro?: string,//描述
    cover?: string,//图片
    category?: string,//标签分类
    sign?: string,//热度，阅读人数 
    action?: string//地址
}
function BookboxRowMiddle(props: BookboxRowMiddleProps) {
    const { book_id, book_name, penname, intro, cover, category, sign, action, } = props
    let tags = category ? category.split(',') : []
    return <View className='book_box_row_middle'>
        <Navigator url={'/pages/book/bookDetails/index?book_id='+book_id} hoverClass="none">
            <Image src={cover || ''} className='img'></Image>
            <View className='right'>
                <Text className='title'>{book_name}</Text>
                <View className='content'>
                    <View className='left'>
                        <Text className='details'>{intro}</Text>
                        <View className='bottom'>
                            <Text className='describe'>{penname}</Text>
                            <Text className='label'>{tags[0]}</Text>
                        </View>
                    </View>
                </View>
            </View>
        </Navigator>
    </View>
}

export default React.memo(BookboxRowMiddle)