import { ScrollView } from "@tarojs/components"
import { Component } from "react"
import { UpLoading } from "@src/components/PupPetry/Loading"
interface State {
    isShow: boolean  //是否开启刷新状态
    loadNum: number, //加载次数
    ref: any,
    isBoShow: boolean, //是否开启下拉刷新状态
    isNull: boolean,  // 是否还有数据
}
interface Props {
    children: any,
    refresh?: () => Promise<any>,//刷新
    load?: () => Promise<any>,//加载
}
/**页面上下加载*/
class ScrollViewHoc extends Component<Props> {
    constructor(props) {
        super(props)
    }
    state: State = {
        isShow: false,
        loadNum: 0,
        ref: null,
        isBoShow: false,
        isNull: false
    }
    //**向上刷新 */
    onScrollToUpper = () => {
        if(!this.props.refresh){
            setTimeout(() => { this.setState({ isShow: false }) }, 500)
            log('请传入自定义refresh事件')
            return
        }
        let { isShow } = this.state
        log(isShow)
        if (!isShow) {
            log('下拉')
            this.setState({ isShow: true }, async () => {
                if (this?.props?.refresh) {
                    await this?.props?.refresh().then(() => {
                        setTimeout(() => { this.setState({ isShow: false }) }, 500)
                    })
                } 
            })
        }
    }
    /**向下加载 */
    onScrollToLower = () => {
        if(!this.props.load){
            log('请传入自定义load事件')
            return
        }
        let { isBoShow } = this.state
        if (!isBoShow) {
            log('上拉')
            this.setState({ isBoShow: true }, () => {
                if (this?.props?.load) {
                    this?.props?.load().then(res => {
                        this.setState({ isNull: false })
                    }).catch(e => {
                        this.setState({ isNull: true, isBoShow: false })
                    })
                    setTimeout(() => { this.setState({ isBoShow: false }) }, 500)
                } 
            })
        }
    }
    componentDidShow() {
    }
    ref = (ref) => {//拿到子组件的方法
        this.setState({ ref })
    }
    render() {
        const { children } = this.props
        return <ScrollView
            lowerThreshold={10}
            // refresherEnabled={true}
            refresherTriggered={this.state.isShow}
            onScrollToLower={this.onScrollToLower}
            className='scrollview'
            scrollY={true}
            onRefresherRefresh={() => { this.onScrollToUpper() }}
            refresherDefaultStyle='black'
            scrollWithAnimation={true}
        >
            <>
                {children}
                {
                    this.state.isBoShow && <UpLoading />
                }
            </>

        </ScrollView>
    }
}


export default ScrollViewHoc