import { Component } from 'react'
import { View, Image, Text } from '@tarojs/components'
import { observer, inject } from 'mobx-react'
import './index.less'
// import { getProductInfo } from '../../api'
// import { pay } from '../../ajax' 
import Taro from '@tarojs/taro'
type PageStateProps = {
    store: {
        indexStore: {
            userInfo: userInfo,
            SET_USERINFO: Function
        }
    }
}
interface VipCore {
    props: PageStateProps;
}

type userInfo = {
    user_name: string,
    avatar_url: string,
    is_auth: number,
    is_vip: boolean
}

type state = {
    selectVip: number,
    productList: any[],
    book_id: number,
    chapter_id: number
}

@inject('store')
@observer
class VipCore extends Component {
    
    state: state = {
        selectVip: 0,
        productList: [],
        book_id: 0,
        chapter_id: 0
    }

    onLoad(opt) {
        let { book_id, chapter_id } = opt
        if (book_id && chapter_id) {
            this.setState({
                book_id,
                chapter_id
            })
        }
        this.getData()
    }

    getData = () => {
        // getProductInfo().then((res: any) => {
        //     if(res?.body){
        //         let index = res?.body?.findIndex((item: any)=> item?.is_default === 1)
        //         this.setState({
        //             productList: res?.body,
        //             selectVip: index
        //         })
        //     }
        // })
    }

    selectHanle = (index: number) => {
        this.setState({
            selectVip: index
        })
    }
    /** 购买 */
    purchase = () => {
        let { selectVip, productList, book_id, chapter_id } = this.state
        let product_id = productList[selectVip].product_id
        let queryFor = {product_id, source: 1}
        book_id && (queryFor['book_id'] = book_id)
        chapter_id && (queryFor['chapter_id'] = chapter_id)
        // pay(queryFor).then(()=>{
        //     let { indexStore } = this.props.store
        //     indexStore.SET_USERINFO()
        // }).catch(err => {

        // })
    }

    componentWillUnmount() {
        let { indexStore } = this.props.store
        if (this.state.book_id !== 0) {
            let pages = Taro.getCurrentPages(); //获取当前页面栈
            if (pages.length > 1) {
                let beforePage = pages[pages.length - 2]; //获取上一个页面实例对象
                beforePage.setData({
                    //返回参数 ps：这里我打印出beforePage只有一个setData能调用到
                    'isVip': indexStore.userInfo?.is_vip
                })
            }
        }
    }

    showToast = (title: string, duration?: number, icon?: "none" | "success" | "loading" | undefined) => {
        Taro.showToast({
            title: title,
            icon: icon || 'none',
            duration: duration || 2000
        })
    }

    render() {
        let { indexStore } = this.props.store
        return (
            <View className='VipCore'>
                <View className="VipCoreTop">
                    <View className="userInfo">
                        <View className="con">
                            <View className="top">
                                <View className="left">
                                    <Image mode="widthFix" lazy-load src={indexStore.userInfo?.avatar_url? indexStore.userInfo?.avatar_url : require('../../icon/avatar.jpg')}/>
                                </View>
                                <View className="right">
                                    <Text className="ID">{indexStore.userInfo?.user_name || "三金金"}</Text>
                                    <Text className="isVip">{indexStore.userInfo?.is_vip ? '已开通' : '未开通会员'}</Text>
                                </View>
                            </View>
                            <View className="bottom">
                                会员尊享纯净版阅读
                            </View>
                        </View>
                        <Image src={require('../../icon/coreBack.png')} />
                    </View>

                    <View className="selectVipTitle">选择套餐</View>

                    <View className="vipSetMeal">
                        {
                            this.state.productList?.map((item: any, index: number) => (<View key={item?.product_id || index} className={index === this.state.selectVip ? 'select' : ''} onClick={()=>{this.selectHanle(index)}}>
                                <View className="top">
                                    <View className="name">{item?.product_name}</View>
                                    <View className="price"><Text>¥</Text> {item?.product_amount}</View>
                                </View>
                                <View className="bottom">{item?.memo}</View>
                                {
                                    item?.icon && <View className="discount">{item?.icon}</View>
                                }
                                {
                                    item?.is_default === 1 && <View className='cz'>
                                        <Image lazy-load src={require('../../icon/spark.png')}/>
                                        <Text>超值</Text>
                                    </View>
                                }
                            </View>))
                        }
                    </View>
                </View>
                <View className="VipCoreBottom">
                {
                    this.state.productList.length > 0 && <View className="vipBt" onClick={this.purchase}>
                        <Image lazy-load src={require('../../icon/weChat.png')} />
                        {indexStore.userInfo?.is_vip ? '立即续费' : '立即开通'}
                    </View>
                }
                </View>
            </View>
        )
    }
}

export default VipCore
