import Taro from "@tarojs/taro";
import indexStore from "@src/store/index";
/**
 * 获取小程序组件配置列表
 * */
export function getAppComponent() {
    return new Promise(async (resolve, reject) => {
        try {
            // 初始化
            Taro.request({
                url: '/app/appComponent/list',
                method: 'GET',
                success: (res) => {
                    resolve(res)
                },
                fail: (err) => {
                    reject(err);
                }
            })
        } catch (error) {
            reject(error);
        }
    })
}



/**
 * 获取短篇首页banners列表
 * */
export function getShortBanners(workDirection) {
    return new Promise(async (resolve, reject) => {
        try {
            // 初始化
            Taro.request({
                url: '/app/appComponent/getShortBookBanners',
                method: 'GET',
                data: { workDirection },
                success: (res) => {
                    indexStore.setData({ indexBanners: res.data.data })
                    resolve(res)
                },
                fail: (err) => {
                    reject(err);
                }
            })
        } catch (error) {
            reject(error);
        }
    })
}
/**
 * 获取短篇首页热门分类列表
 * */
export function getShortHotCategory(workDirection) {
    return new Promise(async (resolve, reject) => {
        try {
            // 初始化
            Taro.request({
                url: '/app/appComponent/getHotCategory',
                method: 'GET',
                data: { workDirection },
                success: (res) => {
                    indexStore.setData({ indexHotCategory: res.data.data })
                    resolve(res)
                },
                fail: (err) => {
                    reject(err);
                }
            })
        } catch (error) {
            reject(error);
        }
    })
}
/**
 * 获取短篇首页热门书籍列表
 * */
export function getShortHotBooks(workDirection, categoryId) {
    return new Promise(async (resolve, reject) => {
        try {
            // 初始化
            Taro.request({
                url: '/app/appComponent/getShortBookHotBooks',
                method: 'GET',
                data: { workDirection, categoryId },
                success: (res) => {
                    indexStore.setData({ indexHotBooks: res.data.data })
                    resolve(res)
                },
                fail: (err) => {
                    reject(err);
                }
            })
        } catch (error) {
            reject(error);
        }
    })
}